Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Announcements

Welcome to Cisco Support Community. We would love to have your feedback.

For an introduction to the new site, click here. And see here for current known issues.

New Member

Apache errors after cwcs3_0_4 update

Can anyone help?

After installing the cwcs3_0_4_win.exe patch, I cannot connect to Ciscoworks. It shows a "Page connot be displayed" error. When I try to start the "Apache" server service, there are 3 errors generated in the event log.

Event Type: Error

Event Source: Apache Service

Event Category: None

Event ID: 3299

Date: 9/11/2006

Time: 3:36:47 PM

User: N/A

Computer: CMEARCWKS01

Description:

The Apache service named C:\PROGRA~1\CSCOpx\MDC\Apache\Apache.exe reported the following error:

>>> [Mon Sep 11 15:36:47 2006] [warn] pid file c:/program files/cscopx/mdc/apache/logs/httpd.pid overwritten -- Unclean shutdown of previous Apache run? <<<

before the error.log file could be opened.

More information may be available in the error.log file. .

Event Type: Error

Event Source: Apache Service

Event Category: None

Event ID: 3299

Date: 9/11/2006

Time: 3:36:47 PM

User: N/A

Computer: CMEARCWKS01

Description:

The Apache service named C:\PROGRA~1\CSCOpx\MDC\Apache\Apache.exe reported the following error:

>>> [Mon Sep 11 15:36:47 2006] [error] Apache.exe caused a EXCEPTION_ACCESS_VIOLATION in module ntdll.dll at 001B:77F8F281, RtlpWaitForCriticalSection()+138 byte(s) <<<

before the error.log file could be opened.

More information may be available in the error.log file. .

Event Type: Error

Event Source: Apache Service

Event Category: None

Event ID: 3299

Date: 9/11/2006

Time: 3:36:47 PM

User: N/A

Computer: CMEARCWKS01

Description:

Apache.exe child process caused an exception and reported error

More information may be available in the error.log file.

Apache.exe child process will be restarted ! .

Any thooughts? I've tried un-installing the patch, and reverting to 3.0.3, but still the same problem. I've restarted the system several times, and tried a reinstall of both 3.0.3 and 3.0.4.

2 REPLIES
Cisco Employee

Re: Apache errors after cwcs3_0_4 update

This error is caused by a DLL conflict. Specifically, there are multiple versions of the OpenSSL DLLs needed by Apache in the system executable PATH. To resolve this problem, check your PATH environment variable. Make sure all of the CiscoWorks paths are FIRST. Alternatively, make sure there are only one of each of libeay32.dll and ssleay32.dll on the system, and that they are the ones under NMSROOT\bin.

Note: when the DLL problem is resolved, you should be able to run:

openssl version

From the command line, and not get any errors. The output should be:

OpenSSL 0.9.7i 14 Oct 2005

New Member

Re: Apache errors after cwcs3_0_4 update

Bingo!!

That's was the problem. An Upgrade to Legato plus the upgrade to Ciscoworks added 2 new *eay32.dll files.

Thanks for the help!

251
Views
10
Helpful
2
Replies
CreatePlease to create content